
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>AutoCAD.NET实现CAD截图 / 憋错料</title>

    <meta name="description" content="AutoCAD.NET实现CAD截图 使用C#实现AutoCAD截图目前了解的方式有以下几种:1.使用CAD的Export.JPGOUT.PNGOUT,可以将选择集中的实体导出成图片,但要借助COM的接口先设置ActiveSelectionSet(AutoCAD.NET接口的SetImpliedSelection好像不行),然后再使用COM或者发送命令的方式调用Export.JPGOUT.PNGOUT等命令进行截图,参考代码如下(只测试了EXPORT,没有测试JPGOUT.PNGOUT等其他方式): object oCad = Au">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">AutoCAD.NET实现CAD截图</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>使用C#实现AutoCAD截图目前了解的方式有以下几种：<br />1、使用CAD的Export、JPGOUT、PNGOUT，可以将选择集中的实体导出成图片，但要借助COM的接口先设置ActiveSelectionSet（AutoCAD.NET接口的SetImpliedSelection好像不行），然后再使用COM或者发送命令的方式调用Export、JPGOUT、PNGOUT等命令进行截图，参考代码如下（只测试了EXPORT，没有测试JPGOUT、PNGOUT等其他方式）：</p>
<pre>object oCad = Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication;
Type tpCad = oCad.GetType();
object oDoc = tpCad.InvokeMember("ActiveDocument", System.Reflection.BindingFlags.GetProperty, null, oCad, null);
Type tpDoc = oDoc.GetType();
object ass = tpDoc.InvokeMember("ActiveSelectionSet", System.Reflection.BindingFlags.GetProperty, null, oDoc, null);
tpDoc.InvokeMember("Export", System.Reflection.BindingFlags.InvokeMethod, null, oDoc, new object[] { path + "\\abc", "WMF", ass });
ed.SetImpliedSelection(new ObjectId[] { });</pre>
<p>2、使用View.GetSnapshot进行抓屏，具体可以<a href="http://through-the-interface.typepad.com/through_the_interface/2007/04/taking_a_snapsh.html" rel="external nofollow noreferrer">参考这里</a>。</p>
<p>3、使用打印功能将DWG图纸打印成PDF，然后再将PDF转成图片，其中导出PDF应该也是需要调用CAD的COM接口来实现，而PDF转图片可以使用Adobe的COM组件（Adobe Acrobat xx Type Library），或者其他第三方组件（<a href="http://www.cnblogs.com/lyl6796910/p/3318056.html" rel="external nofollow noreferrer">可参考这里</a>）。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 18:45:17 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/div/" title="div">div</a>, <a href="https://www.biecuoliao.com/tag/snap/" title="snap">snap</a>, <a href="https://www.biecuoliao.com/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.biecuoliao.com/tag/href/" title="href">href</a>, <a href="https://www.biecuoliao.com/tag/library/" title="library">library</a>, <a href="https://www.biecuoliao.com/tag/bat/" title="bat">bat</a>, <a href="https://www.biecuoliao.com/tag/document/" title="document">document</a>, <a href="https://www.biecuoliao.com/tag/pdo/" title="pdo">pdo</a>, <a href="https://www.biecuoliao.com/tag/selection/" title="selection">selection</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>AutoCAD.NET实现CAD截图的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzlVeO3.html" rel="bookmark">CAD怎么转换成图片格式？AutoCAD科技将CAD图纸转成JPG格式吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们都知道,一般来说CAD图纸基本上就是在电脑中特定的看图环境中才能打开查看,如果想要更加便捷的查看CAD图纸,就需要我们对CAD图纸 发格式进行转换啦!一般使用较多的就是将图纸转换为PDF格式们今天就和小伙伴们分享一下如何将CAD图纸转换为图片格式吧,也就是我们常说的CAD转jpg格式! 关于CAD图纸如何转换成JPG图文教程如下所示: 1.在我们的电脑浏览器中搜索&quot;CAD在线转换&quot;进入CAD转换的操作界面.进入网站页面,找到头部导航栏中的在线看图页面: 鼠标放置在&quot;在线转			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bpqOv4.html" rel="bookmark">cad软件哪个好用，谢谢介绍一下</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 高版本有标准件库 选好规格就行了 直接出的 效率比老版不知道要提高多少倍了宁愿用04 04再经典也不能一直用的 自己画?我说你们累不累啊 简化? 变的更有效率了 你有没有用过新版的啊 再说 这个朋友没用过的话 新接触 哪来所谓的习惯这个只是针对楼上的说正题 有很多CAD软件 PROE UG CATIA INVENTOR SW等ACAD也算吧其中 acad功能最差 但最容易上手 用来入门的 但可以跳过其他 SW(solidworks)容易上手 功能没前面四个强 属于中端 和INVENTOR一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M68P7y3.html" rel="bookmark">电脑dwg文件怎么打开要哪些步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Dwg文件是CAD文件格式之一,如果你像平常查看图片一样双击dwg文件的话,你会发现根本无法打开它.这说明你电脑上没有安装AutoCAD这样的CAD图纸软件.因此CAD文件必须使用专门的软件才能查看.而我们知道AutoCAD是专门的设计师和建筑师才会使用的专业性软件.对于大多数人而言,使用起来极为复杂,而且软件很大会极大地影响电脑运行速度. 如果不是需要经常制图的话,就没必要在电脑上安装这个软件了.我们可以使用更轻便的CAD文件浏览器.今天我们就来介绍一款小巧,且所有人都会使用的dwg文件阅读器			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0j7b9g3.html" rel="bookmark">OpenCASCADE DataExchange DWG</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				OpenCASCADE DataExchange DWG [email protected] Abstract. DWG is a file format created in the 70’s for the emerging CAD applications. Currently it is the native file format of AutoCAD, a proprietary CAD program developed by Autodesk. Libredwg is a fre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPWegB4.html" rel="bookmark">长沙施工员脱产面授零基础培训班，长沙建达短期培训</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学建筑施工及测量操作到建达参加短期零基础速成班,学不会可免费再学,推荐工作.联系杨老师18874025027    扣扣  2355254032 建筑识图: 主要学习基本识图的方法,包括建筑施工图.结构施工图和安装施工图. 进入现场最基本的就是要会看图纸,包括的具体内容有:投影的基本知识.建筑制图标准.建筑平面图的识读.结构施工图的认识及11G101-1. 学完后会看建筑图,例如门窗的安装位置及尺寸大小,墙体的砌筑大小及方法,现场施工规划和施工方案的定制. 建筑施工技术: 学习建筑施工技术重点的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPJWa13.html" rel="bookmark">建筑工程设计检查Cype software 2016o&plus;道亨SLW</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				道亨SLW 2D3D架空送电线路平断面图处理及定位CAD系统2016版6.10[主要功能]1.系统内置了杆塔.绝缘子串.导地线.跨越规程.组装库和备件库用来辅助设计工作,用户可以进行修 改.添加.删除等操作.2.具备导地线应力弧垂计算功能,可输出各种应力图(表)和放线弧垂 图(表). 3.多样灵活的立塔方式(与应力计算一体的的电子模板立塔.指定桩位立塔.指定/任意累距立塔.指定 档距立塔.耐张段等分立塔).4.自动进行电气校核:1) 悬垂串摇摆角计算.2) 悬挂点应力.悬挂点悬挂角计算.3) 悬			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGeA8Z3.html" rel="bookmark">注册相关问题与解答</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				分类:CAD批量打图精灵 内容提要:可以使用CAD批量打图精灵试用版,但复制授权文件后,在AutoCAD中使用“QPlot”命令无法调出打图精灵界面,如何解决? 在AutoCAD命令行里使用&quot;netload&quot;命令加载CAD批量打图精灵安装文件夹下( 系统&quot;开始&quot;菜单→&quot;所有程序&quot;→&quot;依云CAD批量打图精灵&quot; →&quot;应用程序文件夹&quot;)的&quot;QuickPlot07.dll&quot;(AutoCAD201			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rxbRaM.html" rel="bookmark">我在大学</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				      籍贯:河北省河间市 身高:  167cm 健康状况:良好 西南交通大学 2014届学士 机械设计制造及其自动化专业 Tel: 17097766011 E-mail:   [email protected] 自我评价 为人性格开朗,乐于助人,诚实正直,谦和自信,有较强的社会适应能力: 学习积极进取,勤勉好学,有较好的自学能力和自我约束能力: 工作踏实努力,认真负责,有事业心和工作责任心,善于处理人际关系,具有很好的团队合作精神: 学习经历 2010.9至今就读于西南交通大学峨眉校区机械			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEBj7D0.html" rel="bookmark">关于测绘软件一些优缺点的认识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				---恢复内容开始--- 经过两年大学专业的学习,我学习了越来越多的测绘知识,也了解了一些测绘工程所用的软件,在越来越多的使用中  ,也发现了一些软件中可以有所改进的地方. 真正解除各种测绘的软件,是在今年暑假的实习,在测量实习获得了各种数据,开始的时候,是一直采用手工计算的方式,非常的费时费力,而且很容易就出现错误,也不能及时的发现,后来知道了有一种平差软件  matlab,非常地快捷,大大地加快了处理数据的速度,但是在很多次使用之后,也发现了它的一些不足之处. 首先,matlab界面非常地捡			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0nZ5V0.html" rel="bookmark" class="title">网络测试软件</a>
					<div>
						TC用来模拟网络情况: tc qdisc add dev eth0 root netem delay 100ms loss 1% 如果两次添加,将会导致问题,报file exists 安装ftp, w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWyD7r3.html" rel="bookmark" class="title">7&period; 渐变兼容性写法&lpar; 兼容到IE8&plus; ）</a>
					<div>
						code: #div1{ width: 200px; height: 200px; border: 1px solid #333; background: -moz-linear-gradient(t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YG8La4.html" rel="bookmark" class="title">OpenCASCADE Expression Interpreter by Flex &amp;amp&semi; Bison</a>
					<div>
						OpenCASCADE Expression Interpreter by Flex &amp; Bison [email protected] Abstract. OpenCASCADE provi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6NobZM.html" rel="bookmark" class="title">取消事件的默认动作</a>
					<div>
						•(window.event.returnValue)returnValue属性,如果将returnValue设置为false,就会取消默认事件的处理.在超链接的onclick里面禁止访问href的页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kXJKb3.html" rel="bookmark" class="title">39，叶慧敏 实验四 主存空间的分配和回收模拟</a>
					<div>
						一. 实验目的 为了合理地分配和使用这些存储空间,当用户提出申请主存储器空间时,存储管理必须根据申请者的要求,按一定的策略分析主存空间和使用情况,找出足够 的空闲区域给申请者.当作业撤离归还主存资源时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M61l5r4.html" rel="bookmark" class="title">【翻译自mos文章】在11&period;2GI的安装过程中，当拷贝到远程节点时OUI 挂起（65&percnt;处）</a>
					<div>
						来源于: OUI Hangs in 11.2 Grid Install While Trying To Copy To Remote Nodes (文档 ID 1126313.1) 适用于: Orac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d51x63.html" rel="bookmark" class="title">解决微信转发到朋友圈没有获取页面头像以图标展示。</a>
					<div>
						http://203.195.235.76/jssdk/#menu-webview  微信JS-SDK demo https://mp.weixin.qq.com/debug/cgi-bin/sand ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kG1W70.html" rel="bookmark" class="title">数据库实验一 SQL Service的安装</a>
					<div>
						SQL 2014 安装需要 Microsoft .Net Framework 3.5框架 win 8.1 Microsoft .Net Framework 3.5框架安装教程:点我 安装图文教程:点我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5abKM.html" rel="bookmark" class="title">linux chsh命令参数及用法详解&lpar;linux设置系统shell命令&rpar;</a>
					<div>
						使用权限:所有使用者 命令:chsh  用法:shell&gt;&gt; chsh  说明:更改使用者 shell 设定  范例:  shell&gt;&gt; chsh  Changing fiha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x5NGn3.html" rel="bookmark" class="title">自定义圆形工具类</a>
					<div>
						1.自定义圆形工具类 CircleImageViewUtil.java 关键点:可以自持缩放 package com.example.circleimageviewdemo; import andro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4785RYM.html" rel="bookmark" class="title">GAE Datastore Entities</a>
					<div>
						我们的程序与抽象模型互动,因此不需要管理细节. 与关系型数据库大不相同,以至于谷歌称之为datastore,而非database. App数据存储在数个不同位置,依据best-of-breed con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vzBWj3.html" rel="bookmark" class="title">不少的只是比市面上的</a>
					<div>
						不少的只是比市面上的不少的只是比市面上的不少的只是比市面上的不少的只是比市面上的不少的只是比市面上的不少的只是比市面上的不少的只是比市面上的不少的只是比市面上的不少的只是比市面上的不少的只是比市面上的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5wyB3.html" rel="bookmark" class="title">kbmmemtable 遍历</a>
					<div>
						procedure TForm6.btn6Click(Sender: TObject);var  fld_Id:TIntegerField;  fld_Value:TStringField;  fld ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzL2dk3.html" rel="bookmark" class="title">InnoDB&colon; Error&colon; Table &amp;quot&semi;mysql&amp;quot&semi;&period;&amp;quot&semi;innodb&lowbar;table&lowbar;stats&amp;quot&semi; not found索引表没找到，主从停止</a>
					<div>
						InnoDB: Error: Table &quot;mysql&quot;.&quot;innodb_table_stats&quot; not found. 导致:Seconds_Behind_M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YqGaO0.html" rel="bookmark" class="title">马哥-51CTO-Linux培训中-作业3</a>
					<div>
						练习1:在/tmp 下新建x_m, x_n, y_m, y_n目录 mkdir -pv /tmp/{x_,y_}{m,n}    说明:-p 如果没有父目录则创建父目录. -v 显示创建过程. 练习2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQq2aM.html" rel="bookmark" class="title">JavaScript 面向对象 &lpar; 继承 &rpar;</a>
					<div>
						提问: 现在有一个&quot;动物&quot;对象的构造函数. function Animal(){ this.species = &quot;动物&quot;; } 还有一个&quot;猫&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pLZ1x4.html" rel="bookmark" class="title">php-7&period;0&period;16 ， apache2&period;4&period;25 配置</a>
					<div>
						官网下载php,apache 修改apache E:\php\Apache24\conf\httpd.conf Define SRVROOT &quot;E:/php/Apache24&quot; - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y16Qw0.html" rel="bookmark" class="title">linux中VI编辑器使用个人记录</a>
					<div>
						VI编辑器有三种编辑模式:命令模式.最后行模式.文本编辑模式 启动VI后进入的第一种模式是”命令模式“.从命令模式可进入最后行模式和编辑模式.而后两种模式之间不能直接切换.必须按ESC键退回到命令模式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41GVgY0.html" rel="bookmark" class="title">四、spring boot 日志管理</a>
					<div>
						spring boot日志默认采用logback进行输出,你可以对logback进行定制化,方法如下: 在resources文件夹下建立logback.xml配置文件 &lt;?xml version ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47XdBbM.html" rel="bookmark" class="title">Django学习过程问题分析</a>
					<div>
						最近在学习Django教程,教程网站来源于Django 基础教程 . 在新建一个应用&quot;learn&quot;的过程中,命令行如下: python manage.py startapp lea ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
